// Receives n (int), p (double), and trials (int) as command-line inputs; performs trials experiments, each of
// which counts the number of heads found when a coin with bias p is flipped n times; and draws the results using
// standard draw.

import stdlib.StdRandom;

public class Bernoulli {
    // Entry point.
    public static void main(String[] args) {
        int n = Integer.parseInt(args[0]);
        double p = Double.parseDouble(args[1]);
        int trials = Integer.parseInt(args[2]);
        Histogram histogram = new Histogram(n + 1);
        for (int t = 0; t < trials; t++) {
            int heads = StdRandom.binomial(n, p);
            histogram.addDataPoint(heads);
        }
        histogram.draw();
    }
}
