// Receives n (int) as a command-line input; and writes as standard output the number of coupons you collect before
// obtaining one of each of n types.

import stdlib.StdOut;
import stdlib.StdRandom;

public class CouponCollectorRedux {
    // Entry point.
    public static void main(String[] args) {
        int n = Integer.parseInt(args[0]);
        StdOut.println(collect(n));
    }

    // Collects coupons until getting one of each value in the range 0 to n - 1, and returns the number of coupons
    // collected.
    private static int collect(int n) {
        int count = 0;
        int collectedCount = 0;
        boolean[] isCollected = new boolean[n];
        while (collectedCount < n) {
            int value = getCoupon(n);
            count++;
            if (!isCollected[value]) {
                collectedCount++;
                isCollected[value] = true;
            }
        }
        return count;
    }

    // Returns a random coupon between 0 and n - 1.
    private static int getCoupon(int n) {
        return StdRandom.uniform(0, n);
    }
}
