// Receives n (int), steps (int), and stepSize (double) as command-line inputs; creates n Turtle objects; and has
// the turtles take steps random steps, each of size stepSize.

import stdlib.StdDraw;
import stdlib.StdRandom;

public class Drunks {
    // Entry point.
    public static void main(String[] args) {
        int n = Integer.parseInt(args[0]);
        int steps = Integer.parseInt(args[1]);
        double stepSize = Double.parseDouble(args[2]);
        Turtle[] turtles = new Turtle[n];
        for (int i = 0; i < n; i++) {
            double x = StdRandom.uniform(0.0, 1.0);
            double y = StdRandom.uniform(0.0, 1.0);
            double theta = StdRandom.uniform(0.0, 360.0);
            turtles[i] = new Turtle(x, y, theta);
        }
        StdDraw.setPenRadius(0.001);
        StdDraw.enableDoubleBuffering();
        for (int i = 0; i < steps; i++) {
            for (Turtle turtle : turtles) {
                double theta = StdRandom.uniform(0.0, 360.0);
                turtle.turnLeft(theta);
                turtle.goForward(stepSize);
                StdDraw.show();
            }
        }
    }
}
