// Receives x (double) as command-line input; and writes as standard output the square root of x, reporting an
// error if x is not specified, is not a double, or is negative.

import stdlib.StdOut;

public class ErrorHandling {
    // Entry point.
    public static void main(String[] args) {
        try {
            double x = Double.parseDouble(args[0]);
            double result = sqrt(x);
            StdOut.println(result);
        } catch (ArrayIndexOutOfBoundsException e) {
            StdOut.println("x not specified");
        } catch (NumberFormatException e) {
            StdOut.println("x must be a double");
        } catch (IllegalArgumentException e) {
            StdOut.println(e.getMessage());
        } finally {
            StdOut.println("Done!");
        }
    }

    // Returns the square root of x. Throws IllegalArgumentException if x is negative.
    private static double sqrt(double x) {
        if (x < 0) {
            throw new IllegalArgumentException("x must be non-negative");
        }
        return Math.sqrt(x);
    }
}
