// Receives minLen (int) as command-line input, and words as standard input; and for the words that have at least
// minLen characters, writes as standard output the total word count, the number of distinct words, and the most
// frequent word.

import stdlib.StdIn;
import stdlib.StdOut;

public class FrequencyCounter {
    // Entry point.
    public static void main(String[] args) {
        int minLen = Integer.parseInt(args[0]);
        int distinct = 0, words = 0;
        SymbolTable<String, Integer> st = new SymbolTable<String, Integer>();
        while (!StdIn.isEmpty()) {
            String word = StdIn.readString();
            if (word.length() < minLen) {
                continue;
            }
            words++;
            if (st.contains(word)) {
                st.put(word, st.get(word) + 1);
            } else {
                st.put(word, 1);
                distinct++;
            }
        }
        int maxFreq = 0;
        String maxFreqWord = "";
        for (String word : st.keys()) {
            if (st.get(word) > maxFreq) {
                maxFreq = st.get(word);
                maxFreqWord = word;
            }
        }
        StdOut.println("Word count: " + words);
        StdOut.println("Distinct word count: " + distinct);
        StdOut.printf("Most frequent word: %s (%d repetitions)\n", maxFreqWord, maxFreq);
    }
}
