// Receives stake (int), goal (int), and trials (int) as command-line inputs; runs trials experiments (dollar bets)
// that start with stake dollars and terminate on 0 dollars or goal; and writes the percentage of wins and the
// average number of bets per experiment as standard output.

import stdlib.StdOut;
import stdlib.StdRandom;

public class Gambler {
    // Entry point.
    public static void main(String[] args) {
        int stake = Integer.parseInt(args[0]);
        int goal = Integer.parseInt(args[1]);
        int trials = Integer.parseInt(args[2]);
        int bets = 0;
        int wins = 0;
        for (int t = 0; t < trials; t++) {
            int cash = stake;
            while (cash > 0 && cash < goal) {
                bets++;
                cash += StdRandom.bernoulli() ? 1 : -1;
            }
            wins += cash == goal ? 1 : 0;
        }
        StdOut.println(100 * wins / trials + "% wins");
        StdOut.println("Avg # bets: " + bets / trials);
    }
}
