// Receives mu (double) and sigma (double) as command-line inputs; and writes as standard output a table of the
// percentage of students scoring below certain scores on the SAT, assuming the test scores obey a Gaussian
// distribution with the given mean and standard deviation.

import stdlib.StdOut;

public class GaussianTable {
    // Entry point.
    public static void main(String[] args) {
        double mu = Double.parseDouble(args[0]);
        double sigma = Double.parseDouble(args[1]);
        for (int score = 400; score < 1600 + 1; score += 100) {
            double percentile = Gaussian.cdf(score, mu, sigma);
            StdOut.printf("%4d  %.4f\n", score, percentile);
        }
    }
}
