// Receives filename (String) as command-line input; and reads an image from a file with that name; and renders a
// gray scale version of that image.

import stdlib.Picture;
import stdlib.RGBColor;

public class Grayscale {
    // Entry point.
    public static void main(String[] args) {
        String filename = args[0];
        Picture picture = new Picture(filename);
        for (int col = 0; col < picture.width(); col++) {
            for (int row = 0; row < picture.height(); row++) {
                RGBColor pixel = picture.get(col, row);
                RGBColor gray = pixel.toGray();
                picture.set(col, row, gray);
            }
        }
        picture.show();
    }
}
