// Receives n (int) as a command-line input; and draws using standard draw a level n H-tree centered at (0.5, 0.5)
// with lines of length 0.5.

import stdlib.StdDraw;

public class HTree {
    // Entry point.
    public static void main(String[] args) {
        int n = Integer.parseInt(args[0]);
        StdDraw.setPenRadius(0.001);
        draw(n, 0.5, 0.5, 0.5);
        StdDraw.show();
    }

    // Draws to standard draw a level n H-tree centered at (x, y) with lines of length
    // lineLength.
    private static void draw(int n, double lineLength, double x, double y) {
        if (n == 0) {
            return;
        }
        double x0 = x - lineLength / 2;
        double x1 = x + lineLength / 2;
        double y0 = y - lineLength / 2;
        double y1 = y + lineLength / 2;
        StdDraw.line(x0, y, x1, y);
        StdDraw.line(x0, y0, x0, y1);
        StdDraw.line(x1, y0, x1, y1);
        draw(n - 1, lineLength / 2, x0, y0);
        draw(n - 1, lineLength / 2, x0, y1);
        draw(n - 1, lineLength / 2, x1, y0);
        draw(n - 1, lineLength / 2, x1, y1);
    }
}
