// A data type that represents histograms of the frequency of occurrence of values in [0, n).

import stdlib.StdDraw;
import stdlib.StdRandom;
import stdlib.StdStats;

public class Histogram {
    private double[] freq; // array of frequencies

    // Constructs a histogram to store frequency of occurrence of values [0, n).
    public Histogram(int n) {
        this.freq = new double[n];
    }

    // Adds one occurrence of the value i.
    public void addDataPoint(int i) {
        this.freq[i]++;
    }

    // Draws this histogram to standard draw.
    public void draw() {
        StdDraw.setYscale(-1, StdStats.max(freq) + 1);
        StdStats.plotBars(this.freq);
    }

    // Unit tests the data type.
    public static void main(String[] args) {
        int trials = Integer.parseInt(args[0]);
        Histogram histogram = new Histogram(6);
        for (int t = 0; t < trials; t++) {
            int roll = StdRandom.uniform(0, 6);
            histogram.addDataPoint(roll);
        }
        histogram.draw();
    }
}
