// Receives n (int) as a command-line input, a 1-by-m vector (probabilities) and two m-by-3 matrices (coefficients
// for updating x and y, respectively) as standard input; and plots the results as a set of n points using standard
// draw.

import stdlib.StdArrayIO;
import stdlib.StdDraw;
import stdlib.StdRandom;

public class IFS {
    // Entry point.
    public static void main(String[] args) {
        int n = Integer.parseInt(args[0]);
        double[] dist = StdArrayIO.readDouble1D();
        double[][] cx = StdArrayIO.readDouble2D();
        double[][] cy = StdArrayIO.readDouble2D();
        double x = 0.0, y = 0.0;
        StdDraw.enableDoubleBuffering();
        for (int i = 0; i < n; i++) {
            int r = StdRandom.discrete(dist);
            double[] col = {x, y, 1};
            double x0 = Matrix.dot(Matrix.row(cx, r), col);
            double y0 = Matrix.dot(Matrix.row(cy, r), col);
            x = x0;
            y = y0;
            StdDraw.point(x, y);
        }
        StdDraw.show();
    }
}
