// Receives filename (String) and dt (double) as command-line inputs; uses the file with that name, specifying the
// number (n) of bodies, their initial positions and velocities, and their masses, to create an n-body universe; and
// simulates the universe using dt as the time step.

import stdlib.StdDraw;

public class NBody {
    // Entry point.
    public static void main(String[] args) {
        String filename = args[0];
        double dt = Double.parseDouble(args[1]);
        Universe universe = new Universe(filename);
        StdDraw.enableDoubleBuffering();
        while (true) {
            universe.increaseTime(dt);
            StdDraw.clear();
            universe.draw();
            StdDraw.show();
            StdDraw.pause(10);
        }
    }
}
