// A library of percolation support functions.

import stdlib.StdRandom;
import stdlib.StdDraw;

public class PercolationIO {
    // Returns an n-by-n percolation system with vacancy probability p.
    public static boolean[][] random(int n, double p) {
        boolean[][] a = new boolean[n][n];
        for (int i = 0; i < n; i++) {
            for (int j = 0; j < n; j++) {
                a[i][j] = StdRandom.bernoulli(p);
            }
        }
        return a;
    }

    // Draws the percolation system a to standard draw. Parameter which indicates whether to display the entries
    // corresponding to true or to false.
    public static void draw(boolean[][] a, boolean which) {
        int n = a.length;
        StdDraw.setXscale(-1, n);
        StdDraw.setYscale(-1, n);
        for (int i = 0; i < n; i++) {
            for (int j = 0; j < n; j++) {
                if (a[i][j] == which) {
                    StdDraw.filledSquare(j, n - i - 1, 0.5);
                }
            }
        }
    }

    // Unit tests the library.
    public static void main(String[] args) {
        int n = Integer.parseInt(args[0]);
        double p = Double.parseDouble(args[1]);
        boolean[][] isOpen = random(n, p);
        draw(isOpen, false);
    }
}
