// Receives sound samples, each characterized by a pitch and a duration, as standard input; and plays the sound
// using standard audio.

import stdlib.StdAudio;
import stdlib.StdIn;

public class PlayThatTune {
    // Entry point.
    public static void main(String[] args) {
        int SPS = 44100;
        int NOTES_ON_SCALE = 12;
        double CONCERT_A = 440.0;
        while (!StdIn.isEmpty()) {
            int pitch = StdIn.readInt();
            double duration = StdIn.readDouble();
            double hz = CONCERT_A * Math.pow(2, 1.0 * pitch / NOTES_ON_SCALE);
            int n = (int) (SPS * duration);
            double[] note = new double[n + 1];
            for (int i = 0; i <= n; i++) {
                note[i] = Math.sin(2 * Math.PI * i * hz / SPS);
            }
            StdAudio.play(note);
        }
    }
}
