// Receives dna (String) as command-line input; and writes as standard output whether dna corresponds to a potential 
// gene or not.

import stdlib.StdOut;

public class PotentialGene {
    // Entry point.
    public static void main(String[] args) {
        String dna = args[0];
        StdOut.println(isPotentialGene(dna));
    }

    // Returns true if dna corresponds to a potential gene, and false otherwise.
    private static boolean isPotentialGene(String dna) {
        String ATG = "ATG", TAA = "TAA", TAG = "TAG", TGA = "TGA";
        if (dna.length() % 3 != 0) {
            return false;
        }
        if (!dna.startsWith(ATG)) {
            return false;
        }
        for (int i = 3; i < dna.length() - 3; i++) {
            if (i % 3 == 0) {
                String codon = dna.substring(i, i + 3);
                if (codon.equals(TAA) || codon.equals(TAG) || codon.equals(TGA)) {
                    return false;
                }
            }
        }
        return dna.endsWith(TAA) || dna.endsWith(TAG) || dna.endsWith(TGA);
    }
}
