// Receives moves (int) as command-line input and a transition matrix as standard input; performs moves
// transitions as prescribed by the transition matrix; and writes the relative frequency of hitting each page as
// standard output.

import stdlib.StdArrayIO;
import stdlib.StdOut;
import stdlib.StdRandom;

public class RandomSurfer {
    // Entry point.
    public static void main(String[] args) {
        int moves = Integer.parseInt(args[0]);
        double[][] transitionMatrix = StdArrayIO.readDouble2D();
        int n = transitionMatrix.length;
        int[] hits = new int[n];
        int page = 0;
        for (int m = 0; m < moves; m++) {
            page = StdRandom.discrete(transitionMatrix[page]);
            hits[page]++;
        }
        for (int hit : hits) {
            StdOut.printf("%8.5f", 1.0 * hit / moves);
        }
        StdOut.println();
    }
}
