// Accepts n (int) and trials (int) as command-line inputs; and writes as standard output the percentage of dead
// ends encountered out of trials self-avoiding random walks on an n-by-n lattice.

import stdlib.StdOut;
import stdlib.StdRandom;

public class SelfAvoid {
    // Entry point.
    public static void main(String[] args) {
        int n = Integer.parseInt(args[0]);
        int trials = Integer.parseInt(args[1]);
        int deadEnds = 0;
        for (int t = 0; t < trials; t++) {
            boolean[][] a = new boolean[n][n];
            int x = n / 2;
            int y = n / 2;
            while (x > 0 && x < n - 1 && y > 0 && y < n - 1) {
                a[x][y] = true;
                if (a[x - 1][y] && a[x + 1][y] && a[x][y - 1] && a[x][y + 1]) {
                    deadEnds++;
                    break;
                }
                int r = StdRandom.uniform(1, 5);
                if (r == 1 && !a[x + 1][y]) {
                    x++;
                } else if (r == 2 && !a[x - 1][y]) {
                    x--;
                } else if (r == 3 && !a[x][y + 1]) {
                    y++;
                } else if (r == 4 && !a[x][y - 1]) {
                    y--;
                }
            }
        }
        StdOut.println(100 * deadEnds / trials + "% dead ends");
    }
}
