// Receives filename (String), delimiter (String), and s (String) as command-line inputs; and query vertices as
// standard input; constructs a graph using filename, delimiter, and s; and for each query vertex, writes as standard
// output the shortest path between the source vertex s and the query vertex, and the distance between the two.

import stdlib.StdIn;
import stdlib.StdOut;

public class Separation {
    // Entry point.
    public static void main(String[] args) {
        String filename = args[0];
        String delimiter = args[1];
        String s = args[2];
        Graph graph = new Graph(filename, delimiter);
        PathFinder pf = new PathFinder(graph, s);
        while (!StdIn.isEmpty()) {
            String t = StdIn.readLine();
            if (pf.hasPathTo(t)) {
                int distance = pf.distanceTo(t);
                for (String v : pf.pathTo(t)) {
                    StdOut.println("   " + v);
                }
                StdOut.println("distance: " + distance);
            } else {
                StdOut.println("\"" + s + "\" is not connected to \"" + t + "\"");
            }
        }
    }
}
