// Receives filename (String) and n (int) as command-line inputs; and splits the file whose name is filename.csv,
// by field, into n files named filename1.txt, filename2.txt, etc.

import stdlib.In;
import stdlib.Out;

public class Split {
    // Entry point.
    public static void main(String[] args) {
        String filename = args[0];
        int n = Integer.parseInt(args[1]);
        Out[] outStreams = new Out[n];
        for (int i = 0; i < n; i++) {
            outStreams[i] = new Out(filename + (i + 1) + ".txt");
        }
        In inStream = new In(filename + ".csv");
        while (inStream.hasNextLine()) {
            String line = inStream.readLine();
            String[] fields = line.split(",");
            for (int i = 0; i < n; i++) {
                outStreams[i].println(fields[i]);
            }
        }
    }
}
