// An immutable data type to measure the running (wall clock) time of a program.

import stdlib.StdOut;

public class Stopwatch {
    private long creationTime; // creation time of stopwatch

    // Constructs a new stopwatch.
    public Stopwatch() {
        this.creationTime = System.currentTimeMillis();
    }

    // Returns the elapsed time (in seconds) since creation.
    public double elapsedTime() {
        return (System.currentTimeMillis() - this.creationTime) / 1000.0;
    }

    // Returns a string representation of this stopwatch.
    public String toString() {
        return "" + this.creationTime;
    }

    // Unit tests the data type.
    public static void main(String[] args) {
        int n = Integer.parseInt(args[0]);
        Stopwatch watch = new Stopwatch();
        int primes = 0;
        for (int i = 2; i <= n; i++) {
            int j = 2;
            while (j <= i / j) {
                if (i % j == 0) {
                    break;
                }
                j++;
            }
            if (j > i / j) {
                primes++;
            }
        }
        double time = watch.elapsedTime();
        StdOut.printf("pi(%d) = %d computed in %.5f seconds\n", n, primes, time);
    }
}
