// Receives n (int) as command-line input; computes the sum 1^0.5 + 2^0.5 + ... + n^0.5 using Math.sqrt(x) and 
// Math.pow(x) to calculate the square root of x; and writes as standard output a comparison of the performance
// characteristics of the two functions.

import stdlib.StdOut;

public class TimeOps {
    // Entry point.
    public static void main(String[] args) {
        int n = Integer.parseInt(args[0]);
        Stopwatch watch1 = new Stopwatch();
        double total = 0.0;
        for (int i = 1; i <= n; i++) {
            total += Math.sqrt(i);
        }
        double time1 = watch1.elapsedTime();
        Stopwatch watch2 = new Stopwatch();
        total = 0.0;
        for (int i = 1; i <= n; i++) {
            total += Math.pow(i, 0.5);
        }
        double time2 = watch2.elapsedTime();
        StdOut.printf("Math.sqrt() is %.2f times faster than Math.pow()\n", time2 / time1);
    }
}
