// Receives n (int) as command-line input; and writes as standard output the instructions to move n Towers of Hanoi
// disks to the left.

import stdlib.StdOut;

public class TowersOfHanoi {
    // Entry point.
    public static void main(String[] args) {
        int n = Integer.parseInt(args[0]);
        moves(n, true);
    }

    // Writes to standard output the instructions to move n Towers of Hanoi disks to the left (if parameter left is
    // true) or to the right (if parameter left is false).
    private static void moves(int n, boolean left) {
        if (n == 0) {
            return;
        }
        moves(n - 1, !left);
        if (left) {
            StdOut.println(n + " left");
        } else {
            StdOut.println(n + " right");
        }
        moves(n - 1, !left);
    }
}
