// Receives links as standard input; and writes the corresponding transition matrix as standard output, computed
// using the 90-10 rule.

import stdlib.StdIn;
import stdlib.StdOut;

public class Transition {
    // Entry point.
    public static void main(String[] args) {
        int n = StdIn.readInt();
        int[] outDegrees = new int[n];
        int[][] linkCounts = new int[n][n];
        while (!StdIn.isEmpty()) {
            int i = StdIn.readInt();
            int j = StdIn.readInt();
            outDegrees[i]++;
            linkCounts[i][j]++;
        }
        StdOut.println(n + " " + n);
        for (int i = 0; i < n; i++) {
            for (int j = 0; j < n; j++) {
                double p = 0.9 * linkCounts[i][j] / outDegrees[i] + 0.1 / n;
                StdOut.printf("%8.5f", p);
            }
            StdOut.println();
        }
    }
}
