// Receives n (int), p (double), and trials (int) as command-line inputs; generates an n-by-n random percolation
// system with vacancy probability p; computes the directed percolation flow; and draws the result trials times using
// standard draw.

import stdlib.StdDraw;

public class Visualize {
    // Entry point.
    public static void main(String[] args) {
        int n = Integer.parseInt(args[0]);
        double p = Double.parseDouble(args[1]);
        int trials = Integer.parseInt(args[2]);
        for (int i = 0; i < trials; i++) {
            boolean[][] isOpen = PercolationIO.random(n, p);
            StdDraw.clear();
            StdDraw.setPenColor(StdDraw.BLACK);
            PercolationIO.draw(isOpen, false);
            StdDraw.setPenColor(StdDraw.BLUE);
            boolean[][] isFull = Percolation.flow(isOpen);
            PercolationIO.draw(isFull, true);
            StdDraw.pause(1000);
        }
    }
}
