// Receives k (int) as command-line input and words as standard input; computes the number of times each word
// appears; writes as standard output the k most frequent words in reverse order of their frequencies; and draws
// using standard draw the corresponding histogram demonstrating Zipf's law (ie, the power-law relationship between
// word frequencies and their ranks).

import stdlib.StdIn;
import stdlib.StdOut;

public class Zipf {
    // Entry point.
    public static void main(String[] args) {
        int k = Integer.parseInt(args[0]);
        String[] words = StdIn.readAllStrings();
        Merge.sort(words);
        Counter[] counters = new Counter[words.length];
        int m = 0;
        for (int i = 0; i < words.length; i++) {
            if (i == 0 || !words[i].equals(words[i - 1])) {
                counters[m] = new Counter(words[i]);
                m++;
            }
            counters[m - 1].increment();
        }
        Counter[] temp = new Counter[m];
        for (int i = 0; i < m; i++) {
            temp[i] = counters[i];
        }
        counters = temp;
        Merge.sort(counters);
        Histogram histogram = new Histogram(k);
        for (int i = 0; i < k; i++) {
            Counter counter = counters[m - i - 1];
            StdOut.println(counter);
            for (int j = 0; j < counter.tally(); j++) {
                histogram.addDataPoint(i);
            }
        }
        histogram.draw();
    }
}
